# Powerdown – de while loop methode
# Import the libraries to use time delays, send os commands and access GPIO pins
import RPi.GPIO as GPIO
import time
import os

# Set pin numbering to board numbering
GPIO.setmode(GPIO.BOARD)
# Setup pin 7 as an input
GPIO.setup(7, GPIO.IN)
# Setup a while loop to wait for a button press

while True:
# Setup an if loop to run a shutdown command when button press sensed
    if(GPIO.input(7)):
        # Send shutdown command to os
        os.system("sudo shutdown -h now")
        break
# Allow a sleep time of 1 second to reduce CPU usage
time.sleep(1)

